<?
require ("Conexion/Conexion.php");
require('lib/lib.php');
if(!isset($_SESSION['WEB2'])){
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	$tipo=0;

$ClienteID = $_SESSION["ClienteID"];
    $Seccion = $_POST['Seccion'];

		
		
if($Seccion == 2){ 
				
			
			
			$QueryTopAdmin = mssql_query("select top(10) SecuenciaVenta,FechaCarga,case ProductoID
WHEN 1 THEN 'MAGNA'
WHEN 2 THEN 'PREMIUM'
WHEN 3 THEN 'DIESEL'
END as producto
,consumo.Precio as precio,Cantidad,Importe,consumo.VehiculoID,consumo.ClienteID,AuthCode
  ,Vehiculo.Identificacion ,consumo.estacionid,consumo.precio,posicioncarga,  Vehiculo.Nombre as nombre,Consumo.EstacionID as estacionID,
kilometraje,rendimiento,consumo.vehiculoid,
(select top(1) Ruta  from consumoimagen where tipo=2 and ConsumoImagen.AutorizacionID=Consumo.AuthCode and imagen  is not null) as Ruta,
(select top(1) AutorizacionID  from consumoimagen where tipo=2 and ConsumoImagen.AutorizacionID=Consumo.AuthCode and imagen  is not null) as AutorizacionID
from consumo   WITH(NOLOCK)     
inner join Vehiculo on vehiculo.VehiculoID=Consumo.VehiculoID
inner join Cliente on Cliente.ClienteID=Consumo.ClienteID
where consumo.ClienteID='$ClienteID'  and AuthCode is not null  and authCode <>0  
order by FechaCarga  desc");
			
 $Opcion = $_POST['Opcion'];
				

				
	if($Opcion == 1){// todos los registros
					$QueryTicket = $QueryTopAdmin;

					}elseif($Opcion == 3){//buscar por fecha
						
								$FechaIni = $_POST['FechaIni'];
							    $FechaFin = $_POST['FechaFin'];
								$FechaIni2 = $FechaIni.' 00:00:00';
								$FechaFin2 = $FechaFin.' 23:59:59';
					            $QueryTicket= mssql_query("select  SecuenciaVenta,FechaCarga,case ProductoID
WHEN 1 THEN 'MAGNA'
WHEN 2 THEN 'PREMIUM'
WHEN 3 THEN 'DIESEL'
END as producto
,consumo.Precio as precio,Cantidad,Importe,consumo.VehiculoID,consumo.ClienteID,AuthCode
  ,Vehiculo.Identificacion ,consumo.estacionid,consumo.precio,posicioncarga,  Vehiculo.Nombre as nombre,Consumo.EstacionID as estacionID,
kilometraje,rendimiento,consumo.vehiculoid,
(select top(1) Ruta  from consumoimagen where tipo=2 and ConsumoImagen.AutorizacionID=Consumo.AuthCode and imagen  is not null) as Ruta,
(select top(1) AutorizacionID  from consumoimagen where tipo=2 and ConsumoImagen.AutorizacionID=Consumo.AuthCode and imagen  is not null) as AutorizacionID
from consumo   WITH(NOLOCK)     
inner join Vehiculo on vehiculo.VehiculoID=Consumo.VehiculoID
inner join Cliente on Cliente.ClienteID=Consumo.ClienteID
where consumo.ClienteID='$ClienteID' and AuthCode is not null  and authCode <>0 and convert(datetime,FechaCarga,103) BETWEEN convert(datetime,'$FechaIni2',103) AND convert(datetime,'$FechaFin2',103)
order by FechaCarga  desc");

					}elseif($Opcion == 2){//buscar por fecha
						
								$TicketID = $_POST['TicketID'];
							    
					            $QueryTicket= mssql_query("select  SecuenciaVenta,FechaCarga,case ProductoID
WHEN 1 THEN 'MAGNA'
WHEN 2 THEN 'PREMIUM'
WHEN 3 THEN 'DIESEL'
END as producto
,consumo.Precio as precio,Cantidad,Importe,consumo.VehiculoID,consumo.ClienteID,AuthCode
  ,Vehiculo.Identificacion ,consumo.estacionid,consumo.precio,posicioncarga,  Vehiculo.Nombre as nombre,Consumo.EstacionID as estacionID,
kilometraje,rendimiento,consumo.vehiculoid,
(select top(1) Ruta  from consumoimagen where tipo=2 and ConsumoImagen.AutorizacionID=Consumo.AuthCode and imagen  is not null) as Ruta,
(select top(1) AutorizacionID  from consumoimagen where tipo=2 and ConsumoImagen.AutorizacionID=Consumo.AuthCode and imagen  is not null) as AutorizacionID
from consumo   WITH(NOLOCK)     
inner join Vehiculo on vehiculo.VehiculoID=Consumo.VehiculoID
inner join Cliente on Cliente.ClienteID=Consumo.ClienteID
where consumo.ClienteID='$ClienteID' and AuthCode is not null  and authCode <>0  and secuenciaventa='$TicketID'
order by FechaCarga  desc");

					}
					
						
						$TotalRegistros = mssql_num_rows($QueryTicket); ?>
                        
<fieldset>
  <legend align="center">Catálogo de Consumos Con Imagenes   </legend>
</fieldset>
					<script>
					  $(document).ready(function(){
					$('#green').smartpaginator({ 
						totalrecords: 		<? echo $TotalRegistros; ?>, 
						recordsperpage: 	10, 
						datacontainer: 		'mt', 
						dataelement: 		'tr', 
						initval: 			0, 
						next: 				'Sig', 
						prev: 				'Ant', 
						first: 				'Prim', 
						last: 				'Ult', 
						theme: 				'green' 
					});
				});
					</script>
					 <div id="green-contents" class="contents" style="border: solid 1px #5f9000;">
			<table width="910" border="0" cellspacing="0" cellpadding="0" align="center" class="table" id="mt">
			  <tr height="30" class="header">
              	<th width="117"						bgcolor="#46AD34" id="CelAzul" scope="col">Fecha</th>
				 <th width="84"						bgcolor="#46AD34" id="CelAzul" scope="col">Estacion</th>
				<th width="290" align="center" 		bgcolor="#46AD34" id="CelAzul" scope="col">Nombre</th>
				<th width="73" align="center" 		bgcolor="#46AD34" id="CelAzul" scope="col">Ticket</th>
				<th width="63" 	align="left" 		bgcolor="#46AD34" id="CelAzul" scope="col">Producto </th>
				<th width="45" 					bgcolor="#46AD34" id="CelAzul" scope="col">Litros</th>
				<th width="50" align="center" 		bgcolor="#46AD34" id="CelAzul" scope="col">Precio</th>
				<th width="55" 					bgcolor="#46AD34" id="CelAzul" scope="col">Importe</th>
                <th width="55" 					bgcolor="#46AD34" id="CelAzul" scope="col">Rendimiento</th>
				
                <th width="65" 						bgcolor="#46AD34" id="CelAzul" scope="col">visualizar</th>
                
			  
			  </tr>
			  <?			
				while ($EvaluarCatalogo = mssql_fetch_array($QueryTicket)) {
					if ($colorfila == 0) {
						$color = "trlight";	
						$colorfila = 1;
					} else{
						$color = "trblue";
						$colorfila = 0;	
					}
				echo"<tr id='$color'>"; ?>
				<th align="center" scope="row"><? echo $EvaluarCatalogo['FechaCarga']; ?></th>
				<th align="center" scope="row"><? echo $EvaluarCatalogo['estacionID']; ?></th>
				<th align="left" title="<? echo utf8_encode($EvaluarCatalogo['nombre']); ?>"><? echo utf8_encode(CortarPalabras($EvaluarCatalogo['nombre'], 35)); ?></th>
				<th align="center"><? echo $EvaluarCatalogo['SecuenciaVenta']; ?></th>
				<th align="left"><? echo $EvaluarCatalogo['producto']; ?></th>
				<th align="center" ><? echo $EvaluarCatalogo['Cantidad']; ?></th>
				<th align="center" title=""><? echo'$ ';echo $EvaluarCatalogo['precio']; ?></th>
				 <th align="Center" title=""><? echo'$ ';echo $EvaluarCatalogo['Importe']; ?></th>
                  <th align="Center" title=""><? echo $EvaluarCatalogo['rendimiento']; ?></th>
                  <th align="center"><? 	
				   $QuitarDiogonal ="\\";  
 $RutaBuena = str_replace($QuitarDiogonal, '/', $EvaluarCatalogo['Ruta']);
//echo "../CistemFlotillas/".$RutaBuena;
 $ruta3 = "CistemFlotillas/".$RutaBuena;
						
					echo "<a onclick=\"UsuarioWeb(".$EvaluarCatalogo['AuthCode'].")\"><img src='$ruta3' width='100px' height='90px' title='Ver Imagen.'></a>"."\n"; 
				
				?> </th>
			  </tr>
<?				}?>
			  <tr>
				  <th align="center" 	bgcolor="#46AD34" scope="row">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34" title="<? echo utf8_encode($EvaluarCatalogo['Nombre']); ?>">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34">&nbsp;</th>
				  <th align="center" 	bgcolor="#46AD34">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34" title="<? echo $EvaluarCatalogo['Departamento']; ?>">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34" title="<? echo $EvaluarCatalogo['NombreSeccion']; ?>">&nbsp;</th>
				  <th align="center" 	bgcolor="#46AD34">&nbsp;</th>
			  </tr>
			</table>
                <div id="green" style="margin: auto;" >
                </div>
            </div>
<br />
<br />
<br /><br /><br /><br />
                  
					<?	if($TotalRegistros <= 0)
							echo '<b><p class="error">No existen registros de Tickets!</p></b>';
					
				
			}//Cierre de Opcion
		
	
} ?>